Subject: Re: [PATCH net v3 0/6] octeontx2-pf: handle otx2_mbox_get_rsp errors

From: Simon Horman <[email-masked]>
Date: Tue, 8 Oct 2024 14:20:24 +0100

On Sun, Oct 06, 2024 at 04:38:31PM +0000, Dipendra Khadka wrote:
> This patch series improves error handling in the Marvell OcteonTX2
> NIC driver. Specifically, it adds error pointer checks after
> otx2_mbox_get_rsp() to ensure the driver handles error cases more
> gracefully.
> 
> Changes in v3:
> - Created a patch-set as per the feedback
> - Corrected patch subject
> - Added error handling in the new files
> 
> Dipendra Khadka (6):
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_common.c
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_ethtool.c
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_flows.c
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in cn10k.c
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_dmac_flt.c
>   octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_dcbnl.c
> 
>  drivers/net/ethernet/marvell/octeontx2/nic/cn10k.c   |  5 +++++
>  .../net/ethernet/marvell/octeontx2/nic/otx2_common.c |  4 ++++
>  .../net/ethernet/marvell/octeontx2/nic/otx2_dcbnl.c  |  5 +++++
>  .../ethernet/marvell/octeontx2/nic/otx2_dmac_flt.c   |  9 +++++++++
>  .../ethernet/marvell/octeontx2/nic/otx2_ethtool.c    | 10 ++++++++++
>  .../net/ethernet/marvell/octeontx2/nic/otx2_flows.c  | 12 ++++++++++++
>  6 files changed, 45 insertions(+)

Thanks for bundling this up in a patch-set.

For reference, it does seem that the threading of this patchset is broken.
Perhaps there was some option you passed to git send-email that caused
this. In any case, please look into this for future submissions.

Also, please use ./scripts/get_maintainer.pl patch_file to generate
the CC list for patches.

Lastly, b4 can help with both of the above.